%define upstream_name    Module-CPANTS-Analyse
%define upstream_version 0.85

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Generate Kwalitee ratings for a distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Module-CPANTS-Analyse-0.85-use_test_cpan_meta_yaml_version.patch

BuildRequires: perl(Archive::Any) >= 0.60.0
BuildRequires: perl(Archive::Tar) >= 1.300.0
BuildRequires: perl(Array::Diff) >= 0.40.0
BuildRequires: perl(CPAN::DistnameInfo) >= 0.60.0
BuildRequires: perl(Class::Accessor) >= 0.190.0
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(IO::Capture) >= 0.50.0
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::ExtractUse) >= 0.180.0
BuildRequires: perl(Module::Pluggable) >= 2.960.0
BuildRequires: perl(Pod::Simple::Checker) >= 2.20.0
BuildRequires: perl(Readonly)
BuildRequires: perl(Software::License) >= 0.3.0
BuildRequires: perl(Test::CPAN::Meta::YAML::Version) >= 0.110.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Warn) >= 0.110.0
BuildRequires: perl(Text::CSV_XS) >= 0.450.0
BuildRequires: perl(YAML::Syck) >= 0.950.0
BuildRequires: perl(version) >= 0.730.0
BuildArch:  noarch

%description 
Kwalitee is an automatically-measurable gauge of how good your software is.
That's very different from quality, which a computer really can't measure in a
general sense. (If you can, you've solved a hard problem in computer science.)

In the world of the CPAN, the CPANTS project (CPAN Testing Service; also a
funny acronym on its own) measures Kwalitee with several metrics. If you plan
to release a distribution to the CPAN -- or even within your own organization
-- testing its Kwalitee before creating a release can help you improve your
quality as well.

Test::Kwalitee and a short test file will do this for you automatically.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes META.yml README TODO
%{_bindir}/*
%{perl_vendorlib}/Module
%{_mandir}/*/*

%changelog
* Fri Mar 11 2011 jquelin <jquelin> 0.850.0-3.mga1
+ Revision: 68245
- update buildrequires:
- wrong patch name
- patch to use test::cpan::meta::yaml::version
- rebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.850.0-2.mga1
+ Revision: 37343
- rebuild
- mageia rebuild
- imported package perl-Module-CPANTS-Analyse


* Sun Jul 12 2009 Jérôme Quelin <jquelin@mandriva.org> 0.850.0-1mdv2010.0
+ Revision: 395167
- update to 0.85
- using %%perl_convert_version
- fix license field

* Thu Jun 11 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.83-1mdv2010.0
+ Revision: 385238
- update to new version 0.83

* Thu Jul 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.82-1mdv2009.0
+ Revision: 233470
- new version

* Mon Apr 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.81-1mdv2009.0
+ Revision: 196171
- fix build dependency
- fix build dependency
- fix build dependency
- fix build dependencies
- fix build dependencies
- fix build dependencies
- fix build dependencies

* Wed Jan 30 2008 Jérôme Quelin <jquelin@mandriva.org> 0.77-1mdv2008.1
+ Revision: 160190
- updated to version 0.77

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Nov 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.75-1mdv2008.1
+ Revision: 104516
- new version

* Fri Oct 12 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.73-1mdv2008.1
+ Revision: 97514
- update to new version 0.73

* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.72-1mdv2008.0
+ Revision: 65373
- new version


* Wed Nov 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.69-1mdv2007.0
+ Revision: 88651
- new version
- fix buildrequires
- fix buildrequires
- fix buildrequires
- Import perl-Module-CPANTS-Analyse

* Sat Nov 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.69-1mdv2007.1
- first mdv release

